local rns = renoise.song
local tool = renoise.tool()


local function jseq(seq)
  local pos = renoise.song().transport.playback_pos
  pos.sequence = seq
  rns().transport.playback_pos = pos
end



-- MIDI Mappings    
  for i=1, 256 do
    tool:add_midi_mapping{
      name = "Seq. Triggering:Jump:Sequence " .. i,
      invoke = function(message)
        if (message:is_trigger()) then
          jseq(i)
        end
      end
    }
  end
